#
# spec file for package PgTcl (Version 1.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs e2fsprogs-devel file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 krb5-devel less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions popt postgresql-devel postgresql-libs procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcl tcl-devel tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           PgTcl
BuildRequires:  krb5-devel openssl-devel postgresql-devel tcl-devel
Summary:        Tcl Client Library for PostgreSQL
Version:        1.5
Release:        15.2
License:        X11/MIT
Group:          Productivity/Databases/Clients
URL:            http://www.postgresql.org/
Source0:        pgtcl%version.tar.bz2
Patch0:         pgtcl.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:      pg_tcl postgresql-tcl
Provides:       pg_tcl postgresql-tcl pg_ifa:/usr/lib/pgsql/bin/pgtclsh

%description
This package contains the libpgtcl client library as a loadable Tcl
package. It is needed to access PostgreSQL databases from Tcl scripts.



Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%debug_package
%prep
%setup -q -n pgtcl%version
%patch0

%build
autoconf
%configure \
	--with-tcl=%_libdir \
	--with-postgres-include=%_includedir/pgsql \
	--with-postgres-lib=%_libdir
make
make pkgIndex.tcl-hand

%install
make install \
	pkglibdir=%tclscriptdir/%name%version \
	DESTDIR=%buildroot

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog README README.async TODO
%doc doc/PGTCL-NOTES doc/libpgtcl.pdf doc/html
%_includedir/libpgtcl.h
%_libdir/*so

%tclscriptdir

%changelog -n PgTcl
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 13 2005 - max@suse.de
- Fixed a typo in tcl.m4 that broke configure with bash 3.1.
* Thu Jul 28 2005 - max@suse.de
- New version: 1.5.
- Move script library to /usr/share/tcl .
* Thu Nov 18 2004 - ro@suse.de
- use kerberos-devel-packages
* Fri Jul 02 2004 - max@suse.de
- Updated to the final 1.4 release.
* Thu Apr 01 2004 - max@suse.de
- Added heimdal-lib to neededforbuild to fix the creation
  of pkgIndex.tcl.
* Fri Mar 05 2004 - max@suse.de
- Added patch to current CVS head.
* Tue Nov 18 2003 - max@suse.de
- Enabled building as a non-root user.
* Mon Jan 27 2003 - max@suse.de
- Renamed from postgresql-tcl to PgTcl.
- New version: 1.4b3
- This becomes a package of it's own, because libpgtcl
  has become a separate project.
